//
// Created by zx on 2021/8/26.
//

#ifndef SHUTTER_VERIFY_VERIFY_OFFSET_SOLVER_H_
#define SHUTTER_VERIFY_VERIFY_OFFSET_SOLVER_H_
#include "error_code.h"
#include <pcl/point_types.h>
#include <pcl/point_cloud.h>
#include <pcl/visualization/pcl_visualizer.h>
class offset_solver
{
 public:
    offset_solver(double minx,double maxx,double mina,double maxa);



    Error_manager solve(pcl::PointCloud<pcl::PointXYZ>::Ptr cloud,
                        pcl::PointXYZ rotate_center,float& cx,float& cy,float& theta);

    Error_manager solve(pcl::PointCloud<pcl::PointXYZ>::Ptr cloud,
                        pcl::PointXYZ rotate_center,float& cx,float& cy,float& theta,
                        pcl::visualization::PCLVisualizer& viewer);

 protected:
    double          m_minx;
    double          m_maxx;
    double          m_mina;
    double          m_maxa;


};


#endif //SHUTTER_VERIFY_VERIFY_OFFSET_SOLVER_H_
